package jrummikub.view;

import java.util.Map;

import jrummikub.model.Position;
import jrummikub.model.Stone;

/**
 * The view for a player's hand that displays his stones
 */
public interface IHandPanel extends IStonePanel, IClickable {
  /**
   * Set the player's stones to display on the board
   * 
   * @param stones
   *          the stones
   */
  public void setStones(Map<Stone, Position> stones);
}
